\section{Current Stage} \label{sec:stage}
%%TODO: talvez, esta seção seja melhor ficar só como estado atual
%% as contribuições podem ficar para a última seção, para certas coisas não serem repetidas muito próximas.

We have already advanced on different fronts. Figure~\ref{fig:workflow}
describes the research workflow evolution. The review of literature reviews
brought up shreds of evidence of the FLOSS development transformations along
two decades and also concerns of how software engineering researches are
conducting biased investigations with limited results about the variety of
development model existing between projects. This bad-smell shows the urgency
of a more in-depth study to cover practical and theoretical concerns. 
 
To answer the first research question, \textit{``Software engineering studies
and the trenches of FLOSS project advocate equally about the relationship
between the Linux development model, the bazaar model, and the FLOSS
development?"}, I am planning the multivocal literature review which includes
designing two protocols, one for a systematic review of the grey literature and
another for a systematic review of formally-published literature. After
summarizing common elements and factors discussed by researchers and
practitioners, the last step is to combine values from each to index convergent
and divergent understandings. 
%% TODO: Está repetindo coisas que estão no research designig
%% mas como a seção também trata das contribuições, não fora de contexto.
%% se tiver que diminuir algo por conta da figura do MsFLOSS, pode ser por aqui.
 
%% TODO: Acho aqui podemos tentar descrever uma primeira ideia de protocolo das revisões; depois, refinamos para a versão final do paper.
 
To answer the second research question, \textit{``What characteristics of the
current Linux project resemble the Bazaar development model (later announced as
Open Source model)? And which ones distance themselves from this model?"}, I am
getting acquainted with the contribution's flow in practice. I have set the
environment and started sending low-complexity contributions to the Linux
kernel subsystems Industrial I/O. I also started to write a diary to store any
initial impression. In the future, this preliminary ability will support the
conduct of a case study within the Linux kernel project, in which the elements
of action research will be employed to validate the findings and identify
unspoken rules.  

\subsection{Developing FLOSS Data Collection Platform} 
 
Supporting FLOSS project studies through the collection of different project
data is part of the development of tools such as
FLOSSmole\footnote{\url{https://flossmole.org}}. This tool allows the
collection,  storage, and sharing of various data from FLOSS projects, being
possible for each type of stored data, define a target project and perform
different  analyzes\cite{flossmole2005}. Focused on project repository data
visualization,  OpenHub\footnote{\url{https://www.openhub.net}}, formerly
Ohloh, is a large-scale index of open-source software projects\cite{ohloh2015}
to discover, evaluate,  track, and compare source code and projects. 
%TODO: ver se vale a pena citar a base de Notre Dame - https://www3.nd.edu/~oss/Data/data.html

\begin{figure}[ht]
	\centering
	\includegraphics[width=0.45\textwidth]{figure/msfloss.png}
	\caption{FLOSS Projects Data Collection Platform} \label{fig:msfloss}
\end{figure}

In this scenario, we are also developing a platform for FLOSS projects data
collection, the
MsFLOSS\footnote{\url{https://gitlab.com/flusp/msfloss/msfloss}}. The platform
differs from others by almost instantaneously collect data from different
socio-technical environments, where stakeholders typically interact in public.
These environments include mailing-lists, IRC channels, issue trackers and git
repositories, as shown in Figure \ref{fig:msfloss}. For this, specialized
robots independently monitor each of these means of interaction and filter and
store selected data. Additionally, a dashboard shows key indexes and charts for
characteristics analysis of contributions and contributors per project,
enabling cross environment analysis related to the same project. 

